#-applymapping mapping.txt
## butterknife
-keep class butterknife.** { *; }
-dontwarn butterknife.internal.**
-keep class **$$ViewBinder { *; }
-keepclasseswithmembernames class * {
    @butterknife.* <fields>;
}
-keepclasseswithmembernames class * {
    @butterknife.* <methods>;
}
# RxJava
-dontwarn rx.**
# okio
-dontwarn okio.**
# Gson
-keep class com.google.gson.** { *; }
-keep class com.google.gson.stream.** { *; }
#OkHttp3
-dontwarn com.squareup.okhttp3.**
-keep class com.squareup.okhttp3.** { *;}
-dontwarn okio.**
# retrofit2
-dontwarn retrofit2.**
-keep class retrofit2.** { *; }
# baiduMapApi
-keep class com.baidu.** { *; }
-keep class com.baidu.mapapi.** {*;}
-keep class vi.com.gdi.bgl.android.**{*;}
# xutils
-keep class org.xutils.**{*;}
#log4j
-keep class org.apache.log4j.**{*;}
-keep class de.mindpipe.android.logging.log4j.**{*;}
#org.apache.httpcomponents:httpcore:4.4.1'
-keep class org.apache.http.**{*;}
#websocket
-keep class de.tavendo.autobahn.** {*;}
#EventBus
-keepclassmembers class ** {
    @org.greenrobot.eventbus.Subscribe <methods>;
}
-keep enum org.greenrobot.eventbus.ThreadMode {
      *;
}
# Only required if you use AsyncExecutor
-keepclassmembers class * extends org.greenrobot.eventbus.util.ThrowableFailureEvent {
    <init>(java.lang.Throwable);
}
# LeakCanary
-keep class org.eclipse.mat.** { *; }
-keep class com.squareup.leakcanary.** { *; }
# SQLCipher:
-dontwarn net.sqlcipher.**
-keep class net.sqlcipher.** {*;}
#Bugly
-dontwarn com.tencent.bugly.**
-keep public class com.tencent.bugly.**{*;}
### greenDAO 3
-keepclassmembers class * extends org.greenrobot.greendao.AbstractDao {
public static java.lang.String TABLENAME;
}
-keep class **$Properties
-dontwarn org.greenrobot.greendao.database.**
# 华为push
-keep class com.huawei.hms.** { *; }
# ARouter
-keep public class com.alibaba.android.arouter.routes.**{*;}
-keep class * implements com.alibaba.android.arouter.facade.template.ISyringe{*;}
-keep interface * implements com.alibaba.android.arouter.facade.template.IProvider
-keep class * implements com.alibaba.android.arouter.facade.template.IProvider
# xstream
-dontwarn com.thoughtworks.xstream.**
-keep class com.thoughtworks.xstream.** { *; }
# jpush
-dontwarn cn.jpush.**
-keep class cn.jpush.** { *; }
# http apache
-dontwarn android.net.compatibility.**
-dontwarn android.net.http.**
-dontwarn com.android.internal.http.multipart.**
-dontwarn org.apache.commons.**
-dontwarn org.apache.http.**
-keep class android.net.compatibility.**{*;}
-keep class android.net.http.**{*;}
-keep class com.android.internal.http.multipart.**{*;}
-keep class org.apache.commons.**{*;}
-keep class org.apache.http.**{*;}

## 售后激活
-keep class com.skr.activation.bean.** { *; }
-keep class com.skr.downloader.db.entity.** { *; }
-keep class com.skr.update.db.entity.** { *; }
-keep class com.skr.library.checkupdate.beans.** { *; }
-keep class com.secspace.lib.config.ConfigJsonUtil$ConfigBean { *; }
-keep class com.secspace.lib.config.entity.** { *; }

#以下sophix热修复
#基线包使用，生成mapping.txt
#-printmapping mapping.txt
#应用映射文件保证前后版本混淆一致
#生成的mapping.txt在app/build/outputs/mapping/release路径下，移动到/app路径下
#修复后的项目使用，保证混淆结果一致
#-applymapping mapping.txt
#hotfix
-keep class com.taobao.sophix.**{*;}
-keep class com.ta.utdid2.device.**{*;}
-dontwarn com.alibaba.sdk.android.utils.**

-ignorewarnings
-keep class com.huawei.agconnect.**{*;}

## 引擎
-keep class com.secspace.mdmengine.api.manager.** { *; }
-keep class org.bouncycastle.**{*;}
-dontwarn org.bouncycastle.**





